Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4618 - ping reports wrong data byte
Summary: ping reports wrong data byte
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: alpha
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-19 23:02 UTC by michael.ha
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-20 21:51:52 UTC


Attachments (Terms of Use)

Description michael.ha 1999-08-19 23:02:58 UTC
Install on a Compaq Server DS10.

ping reports the following:

64 bytes from 10.0.0.1: icmp_seq=0 ttl=255 time=0.1 ms
wrong data byte #8 should be 0x8 but was 0x81
    c d e f 10 11 12 13 14 15 16 17 18 19 1a 1b 1c 1d 1e 1f
20 21 22 23 24 25 26
 27 28 29 2a 2b
    2c 2d 2e 2f 0 0 0 0 0 0 0 0 0 0 0 0

---
Here is version info:

[root@jfoxx /]# cat /proc/version
Linux version 2.2.3 (jestabro@linux03.hlo.dec.com) (gcc
version egcs-2.90.29 980515 (egcs-1.0.3 release)) #7 Fri
Mar 26 16:06:36 EST 1999
[root@jfoxx /]# cat /proc/cpuinfo
cpu         : Alpha
cpu model       : EV6
cpu variation       : 7
cpu revision        : 0
cpu serial number   :
system type     : Tsunami
system variation    : Webbrick
system revision     : 0
system serial number    :
cycle frequency [Hz]    : 462962962
timer frequency [Hz]    : 1024.00
page size [bytes]   : 8192
phys. address bits  : 44
max. addr. space #  : 255
BogoMIPS        : 920.64
kernel unaligned acc    : 0 (pc=0,va=0)
user unaligned acc  : 4 (pc=120002b2c,va=12011777c)
platform string     : COMPAQ AlphaServer DS10 466 MHz

Comment 1 Jeff Johnson 1999-08-20 21:51:59 UTC
This problem was fixed in a netkit-base errata for alpha. A better
fix is in netkit-base-0.10-35 from Raw Hide.

------- Additional Comments From   09/03/99 12:19 -------
I got the same problem. And some time TCP/IP stack goes down. That is
adapter is up but "ping 127.0.0.1" hangs.


Note You need to log in before you can comment on or make changes to this bug.